Subject: [FIX] ارسال اشعار في حال تم تغيير او اضافة اي صلاحية من ادارة النظام
Author: iboussetta
Committer: iboussetta

Date Level Type Message
2019-02-25 17:15:01 INFO runbot init Init build environment
2019-02-25 17:16:39 INFO runbot test_all Start test all modules
2019-02-25 17:20:25 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_base tested in 13.17s, 2736 queries
2019-02-25 17:20:38 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_expression tested in 12.46s, 5605 queries
2019-02-25 17:20:50 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_ir_actions tested in 11.26s, 2330 queries
2019-02-25 17:21:27 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_translate tested in 24.81s, 25627 queries
2019-02-25 17:21:38 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base.tests.test_views tested in 9.68s, 4815 queries
2019-02-25 17:21:38 INFO server odoo.modules.loading:234 load_module_graph 1 modules loaded in 204.63s, 48260 queries
2019-02-25 17:22:02 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.resource.tests.test_resource tested in 8.26s, 1982 queries
2019-02-25 17:22:47 INFO server odoo.modules.module:515 run_unit_tests odoo.addons.base_import.tests.test_base_import tested in 33.82s, 232 queries
2019-02-25 17:23:38 WARNING server odoo.modules.loading:506 reset_modules_state Transient module states were reset
2019-02-25 17:23:38 ERROR server odoo.modules.registry:90 new
Failed to load registry
Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 443, in _tag_menuitem
    self._test_xml_id(rec_id)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 254, in _test_xml_id
    assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,)
AssertionError: The ID "mail.menu_email_templates" refers to an uninstalled module

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 380, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 274, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 181, in load_module_graph
    _load_data(cr, module_name, idref, mode, kind='data')
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 95, in _load_data
    tools.convert_file(cr, module_name, filename, idref, mode, noupdate, kind, report)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 791, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 852, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 751, in parse
    exc_info[2]
  File "/opt/odoo/odoo11/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 443, in _tag_menuitem
    self._test_xml_id(rec_id)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 254, in _test_xml_id
    assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,)
odoo.tools.convert.ParseError: "The ID "mail.menu_email_templates" refers to an uninstalled module" while parsing /mnt/vdb/odoo/addons_runbot/runbot/static/build/08928-1225-de9621/addons/base_install/view/menu.xml:74, near
<menuitem action="mail.action_email_template_tree_all" name="&#x642;&#x648;&#x627;&#x644;&#x628; &#x627;&#x644;&#x628;&#x631;&#x64A;&#x62F; &#x627;&#x644;&#x625;&#x644;&#x643;&#x62A;&#x631;&#x648;&#x646;&#x64A;" id="mail.menu_email_templates" parent="menu_technical_setting" sequence="26"/>
2019-02-25 17:23:38 CRITICAL server odoo.service.server:961 preload_registries
Failed to initialize database `08928-1225-de9621-all`.
Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 443, in _tag_menuitem
    self._test_xml_id(rec_id)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 254, in _test_xml_id
    assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,)
AssertionError: The ID "mail.menu_email_templates" refers to an uninstalled module

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/service/server.py", line 932, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/opt/odoo/odoo11/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 380, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 274, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 181, in load_module_graph
    _load_data(cr, module_name, idref, mode, kind='data')
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 95, in _load_data
    tools.convert_file(cr, module_name, filename, idref, mode, noupdate, kind, report)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 791, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 852, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 751, in parse
    exc_info[2]
  File "/opt/odoo/odoo11/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 443, in _tag_menuitem
    self._test_xml_id(rec_id)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 254, in _test_xml_id
    assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,)
odoo.tools.convert.ParseError: "The ID "mail.menu_email_templates" refers to an uninstalled module" while parsing /mnt/vdb/odoo/addons_runbot/runbot/static/build/08928-1225-de9621/addons/base_install/view/menu.xml:74, near
<menuitem action="mail.action_email_template_tree_all" name="&#x642;&#x648;&#x627;&#x644;&#x628; &#x627;&#x644;&#x628;&#x631;&#x64A;&#x62F; &#x627;&#x644;&#x625;&#x644;&#x643;&#x62A;&#x631;&#x648;&#x646;&#x64A;" id="mail.menu_email_templates" parent="menu_technical_setting" sequence="26"/>
2019-02-25 17:24:38 INFO runbot run Start running build 08928-1225-de9621
2019-02-25 17:24:46 INFO server odoo.modules.loading:234 load_module_graph 1 modules loaded in 1.19s, 0 queries
2019-02-25 17:24:46 INFO server odoo.modules.loading:234 load_module_graph 30 modules loaded in 0.42s, 0 queries
2019-02-25 20:32:37 INFO runbot _ask_kill Killing build 08928-1225-de9621, requested by Administrator (user #1)
2019-02-25 20:33:08 INFO runbot kill Kill build 08928-1225-de9621